HomeAssistant升级0.94无法使用博联插排mp1

HomeAssistant升级0.94后,官方自带的博联 mp1插排组件不可用。可使用第三方组件替换。目前插件已经升级支持0.95版本,官方组件依然不可用。

插件地址:https://github.com/af950833/Home-Assistant-Broadlink-MP1-Custom-Component

安装步骤:

1:下载broadlink_mp1文件夹,将其放置在config目录下的custom_components

2:修改configuration.yaml删除旧的组件配置信息,添加新的四个 switch

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
switch:
- platform: broadlink_mp1
host: YOUR_IP_ADDRESS
mac: 'YOUR_MAC_ADDRESS'
type: mp11
friendly_name: 'FRIENDLY_NAME'
- platform: broadlink_mp1
host: YOUR_IP_ADDRESS
mac: 'YOUR_MAC_ADDRESS'
type: mp12
friendly_name: 'FRIENDLY_NAME'
- platform: broadlink_mp1
host: YOUR_IP_ADDRESS
mac: 'YOUR_MAC_ADDRESS'
type: mp13
friendly_name: 'FRIENDLY_NAME'
- platform: broadlink_mp1
host: YOUR_IP_ADDRESS
mac: 'YOUR_MAC_ADDRESS'
type: mp14
friendly_name: 'FRIENDLY_NAME'

系统中的实体名为switch.FRIENDLY_NAME可根据以前的名字配置FRIENDLY_NAME,这样就不需要修改其他的文件了